Runtime

## org.eclipse.gmf.runtime.emf.type.core.requests
Interface IEditCommandRequest

All Known Implementing Classes:
  AbstractEditCommandRequest, ConfigureRequest, CreateElementRequest, CreateRelationshipRequest, DestroyDependentsRequest, DestroyElementRequest, DestroyReferenceRequest, DestroyRequest, DuplicateElementsRequest, GetEditContextRequest, MoveRequest, ReorientReferenceRelationshipRequest, ReorientRelationshipRequest, ReorientRequest, SetRequest

    public interface IEditCommandRequest

Request for a command to edit a model element. These requests are passed to `IEditHelpers` to obtain commands that will execute the edit behaviour.

Clients should not implement this interface directly, but should subclass `AbstractEditCommandRequest`instead.

Field Summary
`static java.lang.String` `REPLACE_DEFAULT_COMMAND` Name of the request parameter used to indicate that the default edit command should not be considered.

Method Summary
`void` `addParameters(java.util.Map newParameters)` Adds `newParameters` to this request.
`IClientContext` `getClientContext()` Gets the client context for this request.
`java.lang.Object` `getEditHelperContext()` Gets the edit helper context for this request.
`org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()` Gets the editing domain in which I am requesting to make model changes.
`java.util.List` `getElementsToEdit()` Gets the elements that will be changed when the work is done for this request.
`java.lang.String` `getLabel()` Gets the request label.
`java.lang.Object` `getParameter(java.lang.String name)` Gets the value for the request parameter named `name`.
`java.util.Map` `getParameters()` Gets the request parameters keyed on parameter name.
`void` `setClientContext(IClientContext clientContext)` Sets the client context for this request.
`void` `setParameter(java.lang.String name, java.lang.Object value)` Sets the request parameter named `name` to `value`.

Field Detail

### REPLACE_DEFAULT_COMMAND

    static final java.lang.String REPLACE_DEFAULT_COMMAND

  Name of the request parameter used to indicate that the default edit command should not be considered. Edit advice will completely replace the default edit behaviour if the parameter value is `Boolean.TRUE`.

  See Also:
    Constant Field Values

Method Detail

### getLabel

    java.lang.String getLabel()

  Gets the request label.

  Returns:
    the request label

### getEditHelperContext

    java.lang.Object getEditHelperContext()

  Gets the edit helper context for this request. The context can be an `IElementType` or an `EObject`, or an `IEditHelperContext`. It determines which edit helper should be used to find a command to do the work in the request.

  Returns:
    the edit helper context for this request

### getElementsToEdit

    java.util.List getElementsToEdit()

  Gets the elements that will be changed when the work is done for this request.

  Returns:
    the elements that will be edited

### getParameters

    java.util.Map getParameters()

  Gets the request parameters keyed on parameter name. Each value is the parameter value.

  Returns:
    the request parameters

### setParameter

    void setParameter(java.lang.String name,
                      java.lang.Object value)

  Sets the request parameter named `name` to `value`.

  Parameters:
    `name` - the parameter name
    `value` - the parameter value

### getParameter

    java.lang.Object getParameter(java.lang.String name)

  Gets the value for the request parameter named `name`.

  Parameters:
    `name` - the parameter name
  Returns:
    the parameter value

### addParameters

    void addParameters(java.util.Map newParameters)

  Adds `newParameters` to this request.

  Parameters:
    `newParameters` - the parameters to be added

### getEditingDomain

    org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

  Gets the editing domain in which I am requesting to make model changes.

  Returns:
    the editing domain

### setClientContext

    void setClientContext(IClientContext clientContext)

  Sets the client context for this request.

  Parameters:
    `clientContext` - the client context

### getClientContext

    IClientContext getClientContext()

  Gets the client context for this request.

  Returns:
    the client context

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.